'''Created Feb 3, 2023 deeejas'''

class Taxes(object):

    def __init__(self, name: str=None,
                 vat: int=0,
                 vat_final: int=0,
                 contribs: int=0,
                 cam: int=0,
                 income_tax: int=0,
                 dividend_tax: int=0,
                 other_tax: int=0,
                 return_: int=0,
                 result: int=0,
                 advance: int=0,
                 advance_previous: int=0,
                 cash_balance: int=0,
                 tax_type: str=None,
                 period: str=None) -> None:

        self.name = name
        self.vat = vat
        self.vat_final = vat_final
        self.contribs = contribs
        self.cam = cam
        self.income_tax = income_tax
        self.dividend_tax = dividend_tax
        self.other_tax = other_tax
        self.return_ = return_
        self.result = result
        self.advance = advance
        self.advance_previous = advance_previous
        self.cash_balance = cash_balance
        self.tax_type = tax_type
        self.period = period

    def __repr__(self) -> str:
        s = ''
        s += 'Impozite *{}* {}{}'.format(self.period, self.name, '\n' * 2)
        s += 'TVA: *{:,.2f}*\n'.format(self.vat)
        s += 'TVA final: *{:,.2f}*\n'.format(self.vat_final)
        s += 'Contributii: *{:,.2f}*\n'.format(self.contribs)
        s += 'CAM: *{:,.2f}*\n'.format(self.cam)
        s += 'Impozit {}: *{:,.2f}*\n'.format(self.tax_type, self.income_tax)
        s += 'Impozit dividende: *{:,.2f}*\n'.format(self.dividend_tax)
        s += 'Alte impozite: *{:,.2f}*\n'.format(self.other_tax)
        s += 'Avans ridicat: *{:,.2f}*\n'.format(self.advance)
        s += 'Avans perioada precedenta: *{:,.2f}*\n'.format(self.advance_previous)
        s += 'Sold casa: *{:,.2f}*\n'.format(self.cash_balance)
        s += 'Cont salarii/micro/profit/dividende/alte: *RO14TREZ2165503XXXXXXXXX*\n'
        s += 'Cont TVA: *RO32TREZ21620A100101XTVA*\n'
        s += 'Cont CAM: *RO54TREZ21620A470300XXXX*'
        return s
